Page MenuHomePhabricator

Mobileapps swagger spec is broken (no pronounciation for `page/mobile-sections-lead` endpoints)
Closed, ResolvedPublic

Description

The checks for mobileapps are failing since yesterday as the lead_section endpoint for Altrincham on enwiki has no "pronounciation" section. Same happens whit any article I tried to test where I expected the section to be present.

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterTemporarily disable pronunciation tests

Event Timeline

Joe created this task.Jun 30 2017, 7:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Joe renamed this task from Mobileapps swagger spec is broken (no pronounciation for Altrincham) to Mobileapps swagger spec is broken (no pronounciation for `page/mobile-sections-lead` endpoints).Jun 30 2017, 7:49 AM
Joe triaged this task as High priority.
Joe updated the task description. (Show Details)

Change 362346 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[mediawiki/services/mobileapps@master] fix en wp mobile-sections-lead check

https://gerrit.wikimedia.org/r/362346

bearND added a subscriber: bearND.

@ArielGlenn thanks for the the links and the patch! I agree this might have to do with it. Not sure why Parsoid doesn't provide the link to the actual media file anymore. Maybe this is related to T169293, too?

https://en.wikipedia.org/api/rest_v1/page/html/Altrincham:

<a rel="mw:WikiLink" href="./Media:En-uk-Altrincham.ogg" title="Media:En-uk-Altrincham.ogg">listen</a>

I guess we'll need to temporarily disable the pronunciation tests. I'll be out all of next week.

Happy to help, even if that was a partial patch only :-) Is there someone else who can pick it up on your side while you're gone?

I'm going to ask @Mholloway to see if he could merge and deploy https://gerrit.wikimedia.org/r/#/c/362346.

I am technically off Mon-Tues but happy to pop in and merge/deploy/verify. I can do that on Monday morning (UTC-5). (This doesn't appear serious enough to merit a weekend deployment, but I'm happy to do it sooner if needed, too.)

Er, scratch that, I'm on the road through Tuesday and only have my personal laptop with me (which doesn't contain my Wikimedia ssh key). Can it wait until Wednesday?

ssastry added a subscriber: ssastry.Jul 1 2017, 2:41 PM

We'll look at T169293 this week.

I'm fine with not deploying on the weekend (as evidenced by this late reply).

Change 362346 merged by Mobrovac:
[mediawiki/services/mobileapps@master] Temporarily disable pronunciation tests

https://gerrit.wikimedia.org/r/362346

Mentioned in SAL (#wikimedia-operations) [2017-07-03T15:33:49Z] <mobrovac@tin> Started deploy [mobileapps/deploy@58a5b19]: Remove pronunciation from the spec - T169299

Mentioned in SAL (#wikimedia-operations) [2017-07-03T15:43:19Z] <mobrovac@tin> Finished deploy [mobileapps/deploy@58a5b19]: Remove pronunciation from the spec - T169299 (duration: 09m 30s)

mobrovac closed this task as Resolved.Jul 3 2017, 3:45 PM
mobrovac assigned this task to bearND.
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services.
mobrovac added a subscriber: mobrovac.

The fix has been deployed, the end points are healthy again :)